package com.grail.archives.service.impl;

import com.grail.common.core.domain.R;
import com.grail.common.core.domain.Result;
import com.grail.domain.model.Archives;
import com.grail.domain.request.ArchivesRequest;
import com.grail.domain.request.Vo;
import com.grail.archives.mapper.ArchivesMapper;
import com.grail.archives.service.ArchivesService;
import com.grail.domain.response.ArchivesResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author：shixuchao
 * @Date：
 * @Description 我的档案Service
 */
@Service
public class ArchivesServiceImpl implements ArchivesService {

    @Autowired
    private ArchivesMapper archivesMapper;


    //我的档案列表
    @Override
    public R archivesList(Vo vo) {
        List<Archives> archives=archivesMapper.archivesList(vo);
        return R.ok(archives);
    }

    //添加我的档案
    @Override
    public R archivesInsert(ArchivesResponse archives) {
        Integer archivesInsert=archivesMapper.archivesInsert(archives);
        return R.ok(archives,archivesInsert>0?"修改成功":"修改失败");
    }

    //修改我的档案
    @Override
    public R archivesUpdate(Archives archives) {
        Integer archivesUpdate=archivesMapper.archivesUpdate(archives);
        return R.ok(archives,archivesUpdate>0?"修改成功":"修改失败");
    }

    //删除我的档案
    @Override
    public R archivesDelete(Integer archivesId) {
        Integer archivesDelete=archivesMapper.archivesDelete(archivesId);
        return archivesDelete>0?R.ok("删除成功"):R.fail("删除失败");
    }

    @Override
    public R archivesFind(Integer archivesId) {
        ArchivesRequest archivesRequest=archivesMapper.archivesFind(archivesId);
        return R.ok(archivesRequest,"回显成功");
    }
}
